Extending Qt Creator Manual | Icons

Extending Qt Creator Manual 4.5.2

# Icons Class

(CPlusPlus::Icons)

- List of all members, including inherited members

## Public Types

enum | IconType { ClassIconType, StructIconType, EnumIconType, EnumeratorIconType, ..., UnknownIconType }

## Static Public Members

QIcon | iconForSymbol(const Symbol *symbol)
QIcon | iconForType(IconType type)
IconType | iconTypeForSymbol(const Symbol *symbol)
QIcon | keywordIcon()
QIcon | macroIcon()

## Member Type Documentation

### enum Icons::IconType

## Member Function Documentation

### `[static]` QIcon Icons::iconForSymbol(const Symbol *symbol)

### `[static]` QIcon Icons::iconForType(IconType type)

### `[static]` IconType Icons::iconTypeForSymbol(const Symbol *symbol)

### `[static]` QIcon Icons::keywordIcon()

### `[static]` QIcon Icons::macroIcon()